| Extracted from Pike v7.8 release 866 at 2016-04-05.

[Top]

# Method get_all_groups()

Method get_all_groups

  `array(array(int|string|array(string))) get_all_groups()`

Description

  Returns an array of arrays with all groups in the system groups source. Each element in the returned array has the same structure as in getgrent function.

Note

  The groups source is system dependant. Refer to your system manuals for information about how to set the source.

Returns

  Array
  `array(int|string|array(string)) 0..` | Array with info about the group

See also

  getgrent()